<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_vars.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>a
: <a class="el" href="class_camera.html#a72018306ef284349e1f30d7d64a5bd2b">Camera</a>
</li>
<li>alpha
: <a class="el" href="structhit__rec.html#aa1bd8b2d288f749c6fc4cfc7830fa664">hit_rec</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>b
: <a class="el" href="class_camera.html#ac38bcfc28d7ab935ea0d3ccac7646939">Camera</a>
</li>
<li>b_box
: <a class="el" href="class_surface.html#a676d836b2651caf205065fcd095a356b">Surface</a>
</li>
<li>b_box_def
: <a class="el" href="class_surface.html#a65d1534766e141346af770b5e95503bf">Surface</a>
</li>
<li>bbox
: <a class="el" href="struct_b_v_h_flat_node.html#a2eb8bc5ce9872472c56fbee34a921a87">BVHFlatNode</a>
</li>
<li>beta
: <a class="el" href="structhit__rec.html#a6a31cd818d4d761a8c2f9e515c733b9e">hit_rec</a>
</li>
<li>bump
: <a class="el" href="class_material.html#a3dbb2d757ff62d77db78e02d3d1eca7d">Material</a>
</li>
<li>bvh
: <a class="el" href="class_scene.html#a45b8655cf456ce0383290db41f2b7c0b">Scene</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>ca
: <a class="el" href="class_material.html#af3007a6aa76a2e6f23778ed5394cf2f7">Material</a>
</li>
<li>camera
: <a class="el" href="class_billboard.html#ab3ec3cd19e91a85426a66070095ed243">Billboard</a>
, <a class="el" href="class_billboard_transform.html#a366a92eed6cde6044379cc351b0134b7">BillboardTransform</a>
, <a class="el" href="class_ray_tracer.html#a920e316dba30cabe8f44f61354dcdd83">RayTracer</a>
</li>
<li>childs
: <a class="el" href="class_transform.html#a18ae73009c329f5444145e0fb9a5f286">Transform</a>
</li>
<li>cl
: <a class="el" href="class_light.html#aa556ccba60a14514c231438403b55db0">Light</a>
</li>
<li>cp
: <a class="el" href="class_material.html#a5ea8e096eeff4452f59443d6cb9bbdd1">Material</a>
</li>
<li>cr
: <a class="el" href="class_material.html#a6b14d96290f6529241d9b898596b83c5">Material</a>
</li>
<li>cw
: <a class="el" href="class_triangle.html#a2f980c8c1beeaab12eab97aa5b7b892c">Triangle</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>d
: <a class="el" href="class_camera.html#a1375dd3b08417a179e52746cdf4ddaf2">Camera</a>
, <a class="el" href="class_ray.html#aa717ed3c35d27340583ddcc616df8c1b">Ray</a>
</li>
<li>data
: <a class="el" href="class_mat.html#aaefe5fd9b60dd6722fde62ef17471251">Mat</a>
</li>
<li>decay
: <a class="el" href="class_light.html#ae028a60a89a219e6eff0ff1b24482a71">Light</a>
, <a class="el" href="class_material.html#a0b59cfd4617315821575ad1ad8752a7d">Material</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>e
: <a class="el" href="class_camera.html#a6ef497a0e254c94753b835c1f3d5c85f">Camera</a>
</li>
<li>emissive
: <a class="el" href="class_material.html#a133e528e69badb73022248d69f74e6bb">Material</a>
</li>
<li>end
: <a class="el" href="struct_b_v_h_build_entry.html#a678ad2dfc09ecc38e48a9a4beacc55c1">BVHBuildEntry</a>
</li>
<li>extent
: <a class="el" href="class_box.html#ad846af015e917b52877ca9af26e771f8">Box</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>gamma
: <a class="el" href="structhit__rec.html#a29907e2753dc9f8a1556ca03b3eb9ba1">hit_rec</a>
</li>
<li>geode
: <a class="el" href="class_light.html#aeb8b1184fc6cf93bbcc205f50bd004c8">Light</a>
</li>
<li>global_tf
: <a class="el" href="class_transform.html#afa608ba2e982f79002af1a1d674871f4">Transform</a>
</li>
<li>global_tf_inv
: <a class="el" href="class_transform.html#ac0b7b583f8c67c59c85a3d38d623a010">Transform</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>hops
: <a class="el" href="class_ray_tracer.html#a93125040fd72bb71d06678bdcc0bbf08">RayTracer</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>i
: <a class="el" href="struct_b_v_h_traversal.html#a36b5ae53c0e261971cecdddf6c1812b8">BVHTraversal</a>
</li>
<li>id
: <a class="el" href="class_surface.html#a60490e6d2fe723957e8814289f538624">Surface</a>
, <a class="el" href="class_transform.html#a9460cedd048ae3d6a8e0680f36638600">Transform</a>
</li>
<li>image
: <a class="el" href="class_ray_tracer.html#addc15de08e27710ac4fd444dec9319b5">RayTracer</a>
</li>
<li>inv_d
: <a class="el" href="class_ray.html#a28fc10d4a43d1a1e11111cee9f0ea2c0">Ray</a>
</li>
<li>inv_normal
: <a class="el" href="class_sphere.html#adb39e77a4ce7a55f090af7be040fab7b">Sphere</a>
</li>
</ul>


<h3><a id="index_k"></a>- k -</h3><ul>
<li>k
: <a class="el" href="class_material.html#aba2f3bbc30230e5d6dc7376b6e88df72">Material</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>l
: <a class="el" href="class_camera.html#a8a30c1d630ed7a772dca55e7275bc5cb">Camera</a>
</li>
<li>lights
: <a class="el" href="class_scene.html#a4ecc3182a80435e1c4dfbe1b20e559bd">Scene</a>
</li>
<li>local_n
: <a class="el" href="class_surface.html#ad3cebceee209a3762a5dc2550d69064c">Surface</a>
, <a class="el" href="class_vertex.html#a749a6f6b57ce11fda6ce662619351939">Vertex</a>
</li>
<li>local_o
: <a class="el" href="class_light.html#a2b2d9c78fdb73ac943a6a35b221f1cfd">Light</a>
, <a class="el" href="class_vertex.html#ac8b579bc65f2832530987cae7bca5c3e">Vertex</a>
</li>
<li>local_tf
: <a class="el" href="class_transform.html#a66ac17fab8f59fa9b26ac109b16f6bf0">Transform</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>m
: <a class="el" href="class_surface.html#a99bb89c6eeea7dd90b3fda098b51422b">Surface</a>
</li>
<li>max
: <a class="el" href="class_box.html#ae853f5935d9a8aa3823993d6d80e0300">Box</a>
</li>
<li>min
: <a class="el" href="class_box.html#ad1f3063a392fa6d1fc2b5aec6d8f0b3c">Box</a>
</li>
<li>mint
: <a class="el" href="struct_b_v_h_traversal.html#a996b4877b7c46d9a9fce5b3b32553c8e">BVHTraversal</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>n
: <a class="el" href="class_surface.html#a7df9cc390062b02fa30e18eaea47dc3b">Surface</a>
, <a class="el" href="class_vertex.html#ad5c064cd79d633ab294dd6623da86163">Vertex</a>
</li>
<li>normal
: <a class="el" href="structhit__rec.html#a19e1d9c17ffdc6cd5d49e1f1caa93e3f">hit_rec</a>
</li>
<li>nPrims
: <a class="el" href="struct_b_v_h_flat_node.html#a353b7a623510bace3e8e9e99acc1f382">BVHFlatNode</a>
</li>
<li>nx
: <a class="el" href="class_camera.html#ab24cd1c55c90594697eaff3bb6b6d93a">Camera</a>
</li>
<li>ny
: <a class="el" href="class_camera.html#a61a6f5c9296cba95f70190ee228b9ef6">Camera</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>o
: <a class="el" href="class_light.html#a40e3c201ef2e17b89e937833f2da9111">Light</a>
, <a class="el" href="class_ray.html#a167f59267ea3d32cb3a69f50ec13aeda">Ray</a>
, <a class="el" href="class_vertex.html#af633aabbd5adf4a3c59b32e87816ebbe">Vertex</a>
</li>
<li>objects
: <a class="el" href="class_scene.html#a6fc93379440340cecd060235a1b9f69a">Scene</a>
</li>
<li>on
: <a class="el" href="class_light.html#a37ee0b241dbdaff4a13cc269de33a8bf">Light</a>
</li>
<li>orientation_fixed
: <a class="el" href="class_camera.html#aeb2d4c41d0188be81f8fb2d01307fa99">Camera</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>p
: <a class="el" href="class_material.html#ab25e134eb2853b9d1207bf4b9163aa1a">Material</a>
</li>
<li>parent
: <a class="el" href="struct_b_v_h_build_entry.html#a701fbb784a37c3cea5cb583f02b47d70">BVHBuildEntry</a>
</li>
<li>pixels
: <a class="el" href="class_ray_tracer.html#a7181bf515b74ec7d8d89b055b48b1d88">RayTracer</a>
</li>
<li>point
: <a class="el" href="structhit__rec.html#afaee7bd7656780eb7c860c69aebe3cac">hit_rec</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>r
: <a class="el" href="class_camera.html#a4309dd7d7a05fd6346db6de286c6ee5a">Camera</a>
</li>
<li>radius
: <a class="el" href="class_sphere.html#a45d6c6c870fac7c2a885ad2e226334ad">Sphere</a>
</li>
<li>reflective
: <a class="el" href="class_material.html#a396bd4e93971db0e58297864217038b4">Material</a>
</li>
<li>refractive
: <a class="el" href="class_material.html#a9af8008c4823e80a06e541f9e4813f7d">Material</a>
</li>
<li>rft
: <a class="el" href="class_material.html#a9fccedcfa4d38d3b36f8c09a48811213">Material</a>
</li>
<li>rightOffset
: <a class="el" href="struct_b_v_h_flat_node.html#afb4a21e37575d580a8f78e7e2aff1698">BVHFlatNode</a>
</li>
<li>root_tf
: <a class="el" href="class_scene.html#a979988030703212b02a2ce950b5ed0a6">Scene</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>samples
: <a class="el" href="class_ray_tracer.html#a352f7cb6352afbc395bac32df143982e">RayTracer</a>
</li>
<li>scene
: <a class="el" href="class_ray_tracer.html#ac9cdbb6f2d03e8c1fe9895ac87d64589">RayTracer</a>
</li>
<li>shadow_samples
: <a class="el" href="class_ray_tracer.html#aca8693132318560401e7196689f2aaf3">RayTracer</a>
</li>
<li>smooth_shading
: <a class="el" href="class_surface.html#aa7675dc7633490a99cd39620054e2bdb">Surface</a>
</li>
<li>start
: <a class="el" href="struct_b_v_h_build_entry.html#aa2488e70cce3d1834a184e8472a843fe">BVHBuildEntry</a>
, <a class="el" href="struct_b_v_h_flat_node.html#a574e6ec522dfaf5ac6ed6263877c0358">BVHFlatNode</a>
</li>
<li>surface
: <a class="el" href="structhit__rec.html#acf7ee9d8bc9a6080f672b55bc9fa632a">hit_rec</a>
</li>
<li>surfaces
: <a class="el" href="class_mesh.html#acbef3f84de109c5f89ee4aa377a3657c">Mesh</a>
, <a class="el" href="class_scene.html#a0196c28bebf7f0cd29345066887ac4f1">Scene</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>t
: <a class="el" href="class_camera.html#a4d5917a7f2bbd9a43c476d6db6fd6f1d">Camera</a>
, <a class="el" href="structhit__rec.html#a974e27fdf82ec6b3678d7ab07d11c4e9">hit_rec</a>
</li>
<li>tex_coord
: <a class="el" href="structhit__rec.html#ac649739da1e743acb234e66146b1d3a6">hit_rec</a>
, <a class="el" href="class_vertex.html#a7b05126ac048975668016c73345e01b1">Vertex</a>
</li>
<li>tex_height
: <a class="el" href="class_material.html#a64903bf3624a095b95004620cc4c3688">Material</a>
</li>
<li>tex_image
: <a class="el" href="class_material.html#ae87327bf313e3ba962250e6bc330f990">Material</a>
</li>
<li>tex_map
: <a class="el" href="class_material.html#aa888d8c2af8d3e4b83c84b5bf1a7a44f">Material</a>
</li>
<li>tex_width
: <a class="el" href="class_material.html#ae8dc3db8a8b55b6709017d953e8e6ce8">Material</a>
</li>
<li>tf
: <a class="el" href="class_camera.html#a33bab7beb6bd121e399776c37e529471">Camera</a>
, <a class="el" href="class_light.html#a33549e9047c9103a2fdf43be0825407f">Light</a>
, <a class="el" href="class_surface.html#a444077659d77f2e034ae163cbb103134">Surface</a>
</li>
<li>tiling
: <a class="el" href="class_material.html#ae9546ff9da82a0f7de667d3f9f1ee3fe">Material</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>u
: <a class="el" href="class_camera.html#aceeb867ba2fd864603c1ae83e035fa0a">Camera</a>
</li>
<li>uid
: <a class="el" href="class_billboard.html#ab27ce66552535bfb5d2f823f555dde56">Billboard</a>
, <a class="el" href="class_billboard_transform.html#affa244460a95e650ad6bf150c712774f">BillboardTransform</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>v
: <a class="el" href="class_camera.html#a458286722dd30e56e1efeaf1fd4e011c">Camera</a>
</li>
<li>va
: <a class="el" href="class_triangle.html#a12003cd84b412dd2a2253b201b7189a0">Triangle</a>
</li>
<li>vb
: <a class="el" href="class_triangle.html#a276cdaae7a99660028d5d3530431bc8e">Triangle</a>
</li>
<li>vc
: <a class="el" href="class_triangle.html#ad6c3aeb4dfa5d4a0ee3b34805d6de283">Triangle</a>
</li>
<li>vertexes
: <a class="el" href="class_surface.html#ac8918f57a731e9f129c4a2051d0bc15d">Surface</a>
</li>
<li>verts
: <a class="el" href="class_mesh.html#ab0f87ac2cccc51a28e2e296c1e665609">Mesh</a>
</li>
<li>viewport_height
: <a class="el" href="class_camera.html#a89e1485eea89a602c152b561d17fbbdb">Camera</a>
</li>
<li>viewport_width
: <a class="el" href="class_camera.html#a6c5b354fc3564c9e7bca14fa55bd2ff1">Camera</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>w
: <a class="el" href="class_camera.html#ae4cb433e0f9ee4c41ab1c0c52b891bd2">Camera</a>
</li>
</ul>


<h3><a id="index_x"></a>- x -</h3><ul>
<li>x
: <a class="el" href="class_vec.html#a6b06c403da715c182792139c41fb4e1a">Vec</a>
</li>
</ul>


<h3><a id="index_y"></a>- y -</h3><ul>
<li>y
: <a class="el" href="class_vec.html#a7e01ed5aadbe96e61e9192edf6cb740b">Vec</a>
</li>
</ul>


<h3><a id="index_z"></a>- z -</h3><ul>
<li>z
: <a class="el" href="class_vec.html#a1517109e425feb5925733588631f862c">Vec</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
